import { format } from 'd3';

export const AxisBottom = ({
  xScale,
  innerHeight,
  xAxisTickFormat,
  tickOffset = 3,
}) =>
  xScale.ticks().map((tickValue) => (
    <g
      className="tick"
      key={tickValue}
      transform={`translate(${xScale(tickValue)}, 0)`}
    >
      <line y2={innerHeight} />
      <text
        style={{ textAnchor: 'middle' }}
        dy=".71rem"
        y={innerHeight + tickOffset}
      >
        {xAxisTickFormat(tickValue)}
      </text>
    </g>
  ));
